Skip to main content
GET
Retrieve a custom event definition

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

behavioral_events.event_definitions.read_write

Path Parameters

eventName
string
required

Response

successful operation

archived
boolean
required
associations
object[]
required
fullyQualifiedName
string
required
id
string
required
labels
object
required
name
string
required
objectTypeId
string
required
properties
object[]
required
comboEventRules
object
createdAt
string<date-time>
createdUserId
integer<int32>
customMatchingId
object
description
string
detailTemplate
string
headerTemplate
string
primaryObject
string
primaryObjectId
string
trackingType
enum<string>
Available options:
APP_EVENT,
AUTOCAPTURE_EVENT,
CLICKED_ELEMENT,
COMBO_EVENT,
CUSTOM_SCRIPT,
CUSTOM_SIGNAL,
IMPORT,
MANUAL,
POLLING,
PROPERTY_CHANGE,
VISITED_URL,
WEBHOOK
updatedAt
string<date-time>
updatedUserId
integer<int32>
Last modified on March 30, 2026